---
- name: "Identify init system"
  shell: >
    $(pgrep systemd > /dev/null && systemctl status > /dev/null);
    if [ $? -eq 0 ] ; then
      echo systemd;
    else
      echo sysvinit;
    fi
  always_run: True
  register: init_system_output
  changed_when: False

- set_fact:
    init_system: "{{ init_system_output.stdout }}"

- name: Install packages requirements
  action:
    module: "{{ ansible_pkg_mgr }}"
    name: "{{ item }}"
    state: latest
  with_items: common_required_pkgs

- name: Install debian packages requirements
  apt:
    name: "{{ item }}"
    state: latest
  when: ansible_os_family == "Debian"
  with_items: debian_required_pkgs

- name: Install redhat packages requirements
  action:
    module: "{{ ansible_pkg_mgr }}"
    name: "{{ item }}"
    state: latest
  when: ansible_os_family == "RedHat"
  with_items: rh_required_pkgs

- include: python-bootstrap.yml
  when: ansible_os_family not in [ "Debian", "RedHat" ]
